Get All Bookings By Account ID

Get a paginated view of all Appointedd bookings in an account with a specific ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[a-f\d]{24}$
Query Params
string
^[a-f\d]{24}$

Unique identifier of the last document on the previous page when paginating forwards.

string
^[a-f\d]{24}$

Unique identifier of the first document on the next page when paginating backwards.

number
1 to 1000

Number of documents (between 1 - 1000) to return per page when paginating forwards.

number
1 to 1000

Number of documents (between 1 - 1000) to return per page when paginating backwards.

filter[accountIds]
array of strings

Returns any bookings that belong to any of the given account IDs.

filter[accountIds]
filter[customerIds]
array of strings

Returns any bookings that belong to any of the given customer IDs.

filter[customerIds]
filter[resourceIds]
array of strings

Returns any bookings that belong to any of the given resource IDs.

filter[resourceIds]
filter[eventIds]
array of strings

Returns any bookings that belong to any of the given event IDs.

filter[eventIds]
filter[payments][externalIds]
array of strings

Returns any bookings that have a payment that references any of the given external IDs provided by the payment provider used for the payment.

filter[payments][externalIds]
string
enum

Returns any bookings that have a state set to the given value.

Allowed:
date-time

Returns any bookings that start after the given date and time (inclusive).

date-time

Returns any bookings that start before the given date and time (inclusive).

date-time

Returns any bookings that end after the given date and time (inclusive).

date-time

Returns any bookings that end before the given date and time (inclusive).

date-time

Returns any bookings that were created after the given date and time (inclusive).

date-time

Returns any bookings that were created before the given date and time (inclusive).

date-time

Returns any bookings that were updated after the given date and time (inclusive).

date-time

Returns any bookings that were updated before the given date and time (inclusive).

enum

Whether to include resources in the relationships.

enum

Whether to include invoice payment data in the attributes.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json